Package: io.vertx.groovy.ext.asyncsql

## [Groovy] Class MySQLClient

- io.vertx.groovy.ext.asyncsql.MySQLClient

- Represents an asynchronous MySQL client

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MySQLClient (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static AsyncSQLClient` | `createNonShared(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config)` Create a MySQL client which maintains its own pool.
    `static AsyncSQLClient` | `createShared(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config, java.lang.String poolName)` Create a MySQL client which shares its data source with any other MySQL clients created with the same data source name
    `static AsyncSQLClient` | `createShared(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config)` Like MySQLClient.createShared but with the default pool name
    `java.lang.Object` | `getDelegate()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AsyncSQLClient` | `close, close, getConnection, getDelegate`

- - ### Constructor Detail

    - #### MySQLClient(java.lang.Object delegate)

  - ### Method Detail

    - #### static AsyncSQLClient createNonShared(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config)

      Create a MySQL client which maintains its own pool.

      Returns:
        the client
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration

    - #### static AsyncSQLClient createShared(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config, java.lang.String poolName)

      Create a MySQL client which shares its data source with any other MySQL clients created with the same data source name

      Returns:
        the client
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
        `poolName` - the pool name

    - #### static AsyncSQLClient createShared(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config)

      Like MySQLClient.createShared but with the default pool name

      Returns:
        the client
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration

    - #### java.lang.Object getDelegate()